
package cn.com.poc.thirdparty.resource.demand.ai.entity.chatgpt.moderation;

public class Categories {

    private Boolean hate;
    private Boolean hateThreatening;
    private Boolean selfHarm;
    private Boolean sexual;
    private Boolean sexualMinors;
    private Boolean violence;
    private Boolean violenceGraphic;

    public Boolean getHate() {
        return hate;
    }

    public void setHate(Boolean hate) {
        this.hate = hate;
    }

    public Boolean getHateThreatening() {
        return hateThreatening;
    }

    public void setHateThreatening(Boolean hateThreatening) {
        this.hateThreatening = hateThreatening;
    }

    public Boolean getSelfHarm() {
        return selfHarm;
    }

    public void setSelfHarm(Boolean selfHarm) {
        this.selfHarm = selfHarm;
    }

    public Boolean getSexual() {
        return sexual;
    }

    public void setSexual(Boolean sexual) {
        this.sexual = sexual;
    }

    public Boolean getSexualMinors() {
        return sexualMinors;
    }

    public void setSexualMinors(Boolean sexualMinors) {
        this.sexualMinors = sexualMinors;
    }

    public Boolean getViolence() {
        return violence;
    }

    public void setViolence(Boolean violence) {
        this.violence = violence;
    }

    public Boolean getViolenceGraphic() {
        return violenceGraphic;
    }

    public void setViolenceGraphic(Boolean violenceGraphic) {
        this.violenceGraphic = violenceGraphic;
    }

}
